Subject: RE: Control and Forwarding functions

From: "Sharma, Prem" <[email-masked]>
Date: Tue, 4 Sep 2001 12:21:41 -0700

In my opinion, the followings endorse the statement that MPLS provides the
good separation between control and forwarding plane:

*	the forwarding tables contain the information that is oblivious to
the control plane that has provided that information. 

*	the forwarding information present in the forwarding tables is/may
be sufficient enough to take the data through the network backbone. 

*	the semantics of the forwarding information may not be known to the
forwarding plane. They complexities related to the semantics could be just
confined to control plane. 

*	the entries in the forwarding tables need not necessarily be
populated through control protocols.

Any comments/corrections are welcome.
 
Thanks.
Prem
 -----Original Message-----
From: Sukanta Ganguly [mailto:[email-masked]]
Sent: Tuesday, September 04, 2001 8:41 AM
To: David Escobar; Hongwei
Cc: [email-masked]
Subject: Re: Control and Forwarding functions

To some extent the function is the same. In case of a standard IP router the
routing protocol does the job of route updates, which is the control paths
responsibility. The control paths learn about the routes via the OSPF, BGP
etc... and then keep an updated lookup table so that the data path can
perform the lookup and figure out the outgoing port.
With MPLS, there are the control portion which is handled via the LDP,
CR-LDP etc... After learning the labels the data path uses them for its
lookup process and does the swapping.
 Only thing that is worth noting is that this done over the IP network
(atleast in the Internet), so we can say MPLS overlays on top of an IP
network and hence creates a tunnel over IP routing.
 
SG

*********** REPLY SEPARATOR ***********

On 9/4/2001 at 10:20 AM David Escobar wrote:

Hi Hongwei:
I though that a router's Control function was the distribution of
information among routers to build the routing tables and that the
Forwarding function was the routing table look up to find the output port,
output label, etc. I think that the control function in your definition is
the signaling proccess to establish an SVC, so I think we are talking about
different things
Thanks for answering.

----- Original Message ----- 
From: Hongwei <mailto:[email-masked]>  
To: David Escobar <mailto:[email-masked]>  
Cc: [email-masked] <mailto:[email-masked]>  
Sent: Sunday, September 02, 2001 2:59 PM
Subject: RE: Control and Forwarding functions

Hi David,
 
As much as I understand, MPLS technology is connection-oriented, and is
below or at the same level of IP. Like all connection-oriented protocols,
MPLS needs a set-up procedure before traffic begins. PVC or SVC is
established then. So called Control is the setup procedure(label requesting
and label mapping in LDP and CR-LDP). It establishes the forwarding
table,and it is before the traffic begins. So called Forwarding is in the
traffic stage. The outgoing port is easily got from the forwarding table
just because the setup procedure has established an explicit VC. So the
traffic becomes easy. Label swapping is needed because the labels in the
MPLS shim are locally significant, not globally(IP address is globally
important). The locally important label can be dynamically allocated and
released by the router. This adds flexibility. ATM also needs VCI/VPI
swapping. If globally important identifiers such as (source IP, destination
IP) pair are used as label of VC, multiple traffic between different
processes in the source machine and different processes in the destination
machine can't be distinguished.
 
While IP has no setup procedure because it is a connectionless technology.
So I just see its Forwarding function. At every hop, every IP packet has to
find next hop's IP address and its corresponding MAC address by ARP. 
 
It is true that both IP and MPLS need consult the table, so MPLS forwarding
is not necessarily faster than IP if packet's destination IP address can
always match an entry in IP routing table. And now it is more apparent that
MPLS is intended to combine the advantages of ATM and IP. MPLS can help to
realize traffic engineering over IP networks, such as explicit routing can
help allocate traffic evenly, and turn to alternative route quickly in case
of network failure.
 
I am just brave(rash?) enough to make above comments. I will appreciate any
correction of my mistakes. THX in advance:)
 
--Hongwei

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of David Escobar
Sent: 02 September 2001 18:32
To: [email-masked]
Subject: Control and Forwarding functions

Hi:
It is said that MPLS makes a good separation between the Control and the
Forwarding functions. It is also said that MPLS may use extensions of
existing IP protocols to piggyback label distribution (MPLS-BGP,
MPLS-RSVP-TUNNELS).
What is the meaning of good separation between the Control and the
Forwarding functions? MPLS still uses the same Control protocols, just a
little altered to provide label distribution by piggybacking and the
Forwarding function still needs to make table look up to find the next hop.
Even worse, it needs to make label swapping. Conventional IP also makes
table look up but with the advantage of not requiring label swapping. Why
can be inferred that conventional IP does not make a good separation of the
Control and Forwarding function while MPLS does?

---

From: "Naidu, Venkata" <[email-masked]>
Date: Tue, 4 Sep 2001 18:53:21 -0400

Eric:

   Please don't mind... :-)

-> Connection oriented services
-> require connected stations to be constantly talking to each other,
-> regardless of whether or not they have anything worth saying.

   I don't think so! For example, If you consider TCP as
Connection-Oriented,
   RFC 1122 section 4.2.3.6 clearly says, TCP keep alives are Optional.
   More over, RFC 2581 extends TCP long idle time cope-ups...

   In any case a Connection-Oriented service maintains connection state
   association! (not necessarily along the path)

--Venkata Naidu

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 04 Sep 2001 17:03:56 -0700

Folks,

A very similar discussion (on the topic of whether MPLS is connection
oriented or not) occurs just recently (Aug 27) on the pwe3 mailing
list. The attached is just one of the postings...

Yakov.
---------------------------------------------------------------------
From: "Andrew Walding" <[email-masked]>
To: "Yakov Rekhter" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>,
   <[email-masked]>, <[email-masked]>, <[email-masked]>
Subject: RE: [PWE3] Are the layers right? - was Martini 16-bit Sequence 
Date: Mon, 27 Aug 2001 16:08:34 -0500
Message-ID: <[email-masked]>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
X-Priority: 3 (Normal)
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook IMO, Build 9.0.2416 (9.0.2911.0)
Importance: Normal
X-MimeOLE: Produced By Microsoft MimeOLE V5.50.4522.1200
In-reply-to: <[email-masked]>
X-OriginalArrivalTime: 27 Aug 2001 21:03:34.0196 (UTC) FILETIME=[BBB67F40:01C12F3B]

Thanks guys - I just lost a bet!

I had bet that once we got over the connection oriented/connectionless
discussions [what they are, what they aren't, who is, who isn't, etc.] in
the early/mid nineties that the issue was once and for all put to bed.  I
should have learned by now to avoid such bets.

Perhaps there is apoint to this that we need to look at, but may I please be
as bold as to request that it is otherwise taken offline due to the previous
history that proved the arguments to be insightfully meaningless other than
to underscore the definition of the terms a) "it depends", and b) "6 of one,
half a dozen of the other" ?

I apologize to you all for being so rhetorical.

Andy Walding
www.cellstream.com

> From: [email-masked] [mailto:[email-masked]]On Behalf Of Yakov
> Rekhter
> Sent: Monday, August 27, 2001 3:27 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: Re: [PWE3] Are the layers right? - was Martini 16-bit Sequence
>
>
> Ananth,
>
> > Actually i see it as being able to operate in both ways. If
> > destination-based routing and simple ldp is used, then I agree with
> > what Eric said.  But if explicit routing with rsvp-te or cr-ldp is
> > used, it involves the negotiation of resources (some form of admission
> > control) and therefore, this would have to be considered in the same
> > way as "establishing logical connnections", hence connection-oriented.
>
> Explicit routing may not involve the negotiation of resources.
> E.g., for an LSP setup with 0 b/w the admission control is no-op
> (irrespective of whether the LSP is set up with RSVP-TE or with
> CR-LDP).
>
> So, if the negotiation of resources is what distinguishes between
> connectionless and connection-oriented, then even with explicit
> routing MPLS may, or may not be connection-oriented.
>
> And since plain RSVP (w/o any MPLS) may involve the negotiation of
> resources, would that make IP connection-oriented ?
>
> Yakov.
>
> > my two cents :-)
> > Ananth
> >
> > From: erosen [mailto:[email-masked]]
> > Sent: Monday, August 27, 2001 2:48 PM
> > To: ghassem
> > Cc: yakov; Khan, Sohel; pwe3; tappan; erosen
> > Subject: Re: [PWE3] Are the layers right? - was Martini 16-bit Sequence
> >
> >
> >
> > Ghassem> ITU-T   Recommendation  Q.9  defines   connection-oriented
> > network
> > Ghassem> service  "A network  service that  establishes  logical
> > connections
> > Ghassem> between end users before transferring information."
> >
> > Well, the  phrase "establishes logical connections" would  certainly
> > need to
> > be defined.   But this  is enough to  establish clearly  that MPLS is
> > NOT a
> > connection-oriented network service since  it does not establish
> > connections
> > of any kind between end users.
> >
> > Ghassem> Also  refer to  ITU-T  Recommendation X  series  for more
> > detailed
> > Ghassem> discussion.
> >
> > Why?
> >
> >
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/pwe3
> >
>
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: [email-masked]
Date: Tue, 4 Sep 2001 18:03:13 -0700

Brijesh et al,

The effort to distinguish MPLS from "just like ATM" does serve important
purpose.

If we froze an IP network at any point of time and dump out all FIBs in the
router, the traffic from point A to point B do form the same routes, or you
may call a "connection". The differences lie how dynamically this
"connection" state changes, and changes without a central controled
procedure or an explicit procedure. IP routing protocols in fact change
these "connections" in a distributed manner and in a whole-sale manner,
instead of one by one.

This differs from a classic connection oriented technology such as ATM and
X.25 where connections are explicitly routed, established, monitored and
cleared one by one. These connections usually are fairly stable. You don't
want to delete and recreate all millions of connections in a network just
because one route changes.

With the above observation, I would say MPLS is perfectly in-between. MPLS
does differ from ATM in significant ways.

MPLS labels are used to capture some of the more stable IP states in a
network. It can be used to distribute and maintain fast changing states in a
whole-sale manner, i.e. you could have massive changes of states with a
single event (think of BGP). MPLS in this context looks a lot like IP, not
ATM. MPLS *wants* this so to avoid (OK, only improve) the main problem with
a classical connectionful technology -- scalability in IP world....and
that's a big difference.

Of course, with RSVP, or GMPLS, it goes very connection oriented indeed.

Wenjing
Turin Networks, Inc.

> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, September 04, 2001 4:31 PM
> To: Loa Andersson
> Cc: David Allan; Ding Aijun; Hongwei; David Escobar; mpls
> > /Loa
> > -------------------
> > > The main 
> > > characteristic of a Connection Oriented service is the 
> > > long term association required between two end points.
> > 
> > This makes IP a connection oriented technology! 
> 
> I don't know what you mean by "IP technology" - To be precise, TCP 
> is a connection oriented (CO) transport over connection less 
> (CL) network
> layer. If you mean forwarding of IP packets - it is not clear
> to me how did you infer that two routers need to establish
> any associations before they can forward packet to one another.
> 
> 
> > > The process of how such association is established is 
> > > not important. It is also not important if the 
> > > connection doesn't begin or end at some hosts (why we 
> > > need to use ISDN or X.25 definitions of connections?).
> > 
> > If you say that anything that even remotely could be forced into a
> > e-2-e signalling scheme is connection oriented technology, well 
> > then the definition loses all content. It is the e-2-e compatibility
> > negotioation and the dependency on the continous operation
> > of the connectivity that constitutes the connection orientation. 
> > y
>  
> If MPLS was truly a connectionless technology we won't need
> to read number of drafts on LSP recovery mechanisms :-). Traffic
> Engineering is often cited as the most useful application (perhaps 
> the only useful application according to some as every thing else 
> that MPLS does can also be done equally well with other IP only 
> protocols). Traffic engineering using MPLS involves the setting up
> of label switched paths (LSP) possibly with explicit routing and 
> with bandwidth guarantees (for label switched paths). Is n't it 
> similar to setting connections?
> 
> Cheers,
> 
> --brijesh
> Corona Networks
>   
>

---

From: [email-masked]
Date: Wed, 5 Sep 2001 09:35:58 +0100

[email-masked] wrote 04 September 2001 20:55
> I don't know why some people will not accept that MPLS 
> is mainly a connection oriented technology. The main 
> It is quite obvious that there is very clearly 
> established permanent association between two end points 
> of LSPs. All LSRs also maintain the necessary states 
> about particular paths (similar to circuit switched 
> network). 
> 
> From all this, MPLS clearly is the connection oriented 
> layer at layer 2. Of course, I have also seen comments 
> that MPLS doesn't fit in ISO model. Oh Really, !.
NH=> I agree with the above......but just wanted to say something here about
the ISO model which has a lot to answer in terms of creating confusion IMO.
There are *many* 'Network Layers', ie L3.  Any technology that uses access
point addresses and routes between these access points is a L3 network.  The
L1/2/3 badge some apply to certain technologies is a nonsense....it is
simply a convenient, albeit flawed, way of categorising them (and roughly as
L1 = coarse co BW admin, L2 = finer co BW admin, L3 = cnls.....though the
co/cnls badges are irrelevant).  The only rigorous way to apply the ISO
7-layer model to real-world networks (eg IP->MPLS->SDH->OTN say, to give
just one recursive client-> server example....there are many) would be to
say that at the trail termination point of each layer network there is a
full 7-layer stack termination (so this is end-end for *that* layer network
please note, ie between addressable access points....which busts another
mythical tenet some hold dear wrt what constitutes end-end).  It just so
happens that some of the upper layers (ie >=L4) are normally null.  So, to
summarise:
-	there is no such thing as *one* L3 network
-	each layer network that has addressing is a L3 network in the ISO
sense
-	whether it is co or cnls is irrelevant to its classification as L3
-	the only way to apply the ISO model to real-world networks (where we
have many L3 networks recursively nested) is to say the ISO stack exists at
the trail termination points within each layer network.

---

From: [email-masked]
Date: Wed, 5 Sep 2001 09:35:59 +0100

Loa Andersson wrote 04 September 2001 22:04
> According to the OSI model L2 has a common mac, does MPLS?
> According to the OSI model L3 as a common addressing scheme, does
> MPLS?
NH=> Your observations are flawed, but that's because using the ISO model
inappropriately is flawed....see my last mail on the validity/applicability
of the ISO model to real-world networks.  But on your specific points:
-	L2...does ATM have a MAC then?  Of course not, but many seem to like
to 'badge' it as L2
-	L3.....does the E.164(NSAP)addressing scheme of the PSTN(ATM) not
mean it is L3 then?  Of course they are.

---

From: [email-masked]
Date: Wed, 5 Sep 2001 09:35:56 +0100

David.......yes, this is an accurate observation of a fundamental difference
between CO and CNLS behaviour.  In CNLS networks failures get mutated into
QoS hits.....this is the problem with DiffServ *if* people are trying to
sell the notion that they can 'do' hard QoS.  To be able to do rigorous QoS
one must first be able to differentiate survivability from up-state
forwarding treatment, since these are orthogonal issues, eg to meet up-state
jitter transfer all voice must go EF, but it is plainly obvious that *some*
voice calls would have a higher survivability weighting post-failure than
others.  So if all one does is aggregate like up-state DS classes you can't
get this hard QoS behaviour.  One must have the notion of hard BW
partitioning....and you need a co mode with hard BW reservations and
survivability metrics that are disjoint from QoS metrics.  I've explained
this several times on the list previously, and I find no-one can refute
this.
Note - This is not cnls bashing please note....this is simply how cnls
networks behave.

Neil

> From: David Escobar [mailto:[email-masked]]
> Sent: 04 September 2001 19:44
> To: Loa Andersson
> Cc: [email-masked]
> Can you provide "guaranteed QoS" in MPLS?
> Note: I make a difference between "guaranteed QoS" and 
> "differentiated QoS".
> "Guaranteed QoS" means that you can guarantee parameters like 
> Packet Loss
> Ratio, Packet transfer Delay, Packet Delay Variation in a given
> transmission. "Differentiated QoS" means that you can only 
> define packet
> priority. You can only assign a priority to some packets so 
> they are treated
> better by routers (i.e. dropped last, forwarded faster, etc) 
> but you still
> can not guarantee any QoS.
> From: "Loa Andersson" <[email-masked]>
> To: "David Allan" <[email-masked]>
> Cc: "Ding Aijun" <[email-masked]>; "Hongwei"
> <[email-masked]>; "David Escobar" 
> <[email-masked]>;
> "mpls" <[email-masked]>
> Sent: Tuesday, September 04, 2001 11:35 AM
> OK, here we go again....
> To its nature MPLS is not "connection oriented"! I also 
> depends quite a
> bit on the definition of "connection oriented", but if we e.g. let an
> ISDN
> phone call be the model of a connection oriented technology, then you
> immediately see that MPLS misses the most important part of what a
> connection oriented technology is all about.
> ISDN is separated into two parts "call control" and "connection
> handling",
> together they form the connection orientation.
> 
> So the "call control" handle e-2-2 compatibility and ability 
> to take the
> call. This does not exist in MPLS. The call control also OK's the set
> up of the call and is once it is established dependent of the e-2-e
> connectivity, if the connectivity is broken the call is released.
> Nothing
> of this is present in MPLS.
> 
> Sometimes one hear that MPLS is connection oriented because there is
> a mapping from node to node over the network, strictly this 
> is not true,
> the only thing that is mapped incoming label to outgoing label and
> interface.
> The rest is routing in the standard IP connections way.
> 
> As for the arguments that "most of the" LSP setup is connection
> oriented,
> usually meaning end-to-end (which really is edge-to-edge, there is not
> much idea to establish a connection edge-to-edge. But even so
> 
> LDP DU independent liberal is not connection oriented
> LDP DU independent conservative is not connection oriented
> LDP DU ordered liberal is not connection oriented
> LDP DU ordered conservative is not connection oriented
> 
> LDP DoD independent liberal is not connection oriented
> LDP DoD independent conservative is not connection oriented
> LDP DoD ordered liberal is not connection oriented
> LDP DoD ordered conservative could at best emulate part of a 
> connection
>         oriented technology (signaling)
> 
> RSV-TE mostly strictly follows IP routing and is not 
> connection oriented
>        and if there are explicit routes it falls into the 
> same category
>        as LDP DoD ordered conservative
> 
> We are left with a technology where it is required to have an
> MPLS-external
> application that do the call control part of connection 
> orientation. Why
> we would like to do that is beyond me, as we loses all the benefits of
> the
> IP and MPLS combination.
> 
> /Loa
> 
> --
> Loa Andersson
> Chief Architect,
> Utfors Research, Architecture and Future Lab (URAX)
> Utfors AB
> Råsundavägen 12
> Box 525, 169 29 Solna
> Office          +46 8 5270 2000
> Office direct   +46 8 5270 5038
> Mobile          +46 70 848 5038
> Email           [email-masked]
> WWW             www.utfors.se
> 
> 
>

---

From: [email-masked]
Date: Wed, 5 Sep 2001 09:57:44 +0100

The best reference I know is Yakov's book 'MPLS technology and
applications'...see chapter 2 (I can heartily recommend this book to anyone
new to MPLS....its well written and easy to understand).

I would also recommend reading chapter 5 of Radia Perleman's book
'Interconnections' which is a good treatise on the co/cnls issues, ie its
all shades of grey.

Neil

> From: Ding Aijun [mailto:[email-masked]]
> Sent: 05 September 2001 06:42
> To: Loa Andersson; brijesh.kumar
> Cc: David Allan; Hongwei; David Escobar; mpls
> Guys, this is a fight!
> At first, MPLS was introduced to realize so-called L3 
> switching. At that
> time, MPLS is definitely a connection-oriented technology (At 
> least, it
> tried to be one). Well! MPLS is actually a technique to glue 
> L3 routing with
> L2 switching functionality. It is hard to say MPLS lies on 
> which layer.
> Someone says it lies on layer 2.5. I think this is acceptable.
> 
> But, will some guys give a clear answer to the original 
> question raised by
> David Escobar. We are departing from that. The question is 
> listed below. I
> am also very interested, but not able to answer it.
> 
> =========
> Some books mention that routers have two functions: The 
> Control and the
> Forwarding. I understand that the Control function is the 
> distribution of
> information among routers to build the routing tables while 
> the forwarding
> function is using those tables to find the output port, etc. 
> Books also say
> that MPLS makes a good separation between those two 
> functions. What I would
> like to understand is how is that different to IP. How this 
> separation is
> not well done in IP while it is very well done in MPLS.
> =========
> 
> regards,
> aijun
> 
> To: <[email-masked]>
> Cc: "David Allan" <[email-masked]>; "Ding Aijun"
> <[email-masked]>; "Hongwei" <[email-masked]>; "David
> Escobar" <[email-masked]>; "mpls" <[email-masked]>
> Sent: Wednesday, September 05, 2001 5:04 AM
> > So you make your definiton of "connection oriented" then it is
> > possible
> > to discuss whether MPLS is connection oriented according to that
> > definition. Fair, but changing rules during discussion don't bring
> > you anywhere.
> >
> > > > To its nature MPLS is not "connection oriented"! I also depends
> > quite a
> > > > bit on the definition of "connection oriented", but if 
> we e.g. let
> > an
> > > > ISDN
> > > > phone call be the model of a connection oriented 
> technology, then
> > you
> > > > So the "call control" handle e-2-2 compatibility and ability to
> > take the
> > > > call. This does not exist in MPLS. The call control 
> also OK's the
> > set
> > > > Sometimes one hear that MPLS is connection oriented 
> because there
> > is
> > > > a mapping from node to node over the network, strictly 
> this is not
> > true,
> > > > usually meaning end-to-end (which really is 
> edge-to-edge, there is
> > not
> > > > RSV-TE mostly strictly follows IP routing and is not connection
> > oriented
> > > >        and if there are explicit routes it falls into the same
> > category
> > R?ndav?n 12

---

From: puniya puniya <[email-masked]>
Date: Wed, 5 Sep 2001 11:34:41 +0100 (BST)

Hi,
I am totally confused with the difference between
Connection oriented technology and Connection less
technology.
Will anybody give a clear and correct defenition and
explanation for Connection oriented and Connectionless
technology?
thanks in advance
puniyad

____________________________________________________________
Do You Yahoo!?
Send a newsletter, share photos & files, conduct polls, organize chat events. Visit http://in/ groups.yahoo.com

---

From: [email-masked]
Date: Wed, 5 Sep 2001 10:45:43 -0500

I think all the confusions occur based on a not so clear  understanding 
(based on not-so-clear definitions) of connection-oriented and 
connectionless.  I think it would be appropriate to define a 
terminology such as "path-oriented", where a "path" may be defined as a 
set of network elements traversed by data units from the source to the 
destination, and a "path oriented" protocol would be a protocol that 
uses a "pre-established" path (oh no, that means we would need a 
definition for "pre-established" too ;-)).  In this manner, MPLS, when 
explicitly routed, would be path-oriented (as would other protocols 
that we know today to be "connection-oriented" ).

Just another viewpoint :-)

Ananth

-----Original Message-----
From: loa.andersson [mailto:[email-masked]]
Sent: Tuesday, September 04, 2001 4:23 PM
To: brijesh.kumar
Cc: dallan; dingaijun; hongwei.zhou; c-david.escobar; mpls
Subject: Re: Control and Forwarding functions

Further, see comments in line.

/Loa
-------------------
> is mainly a connection oriented technology. 

Basically because we need the dynamics of a connectiion less
technology. There are things in the old style connection 
oriented technologies that we don't want in modern networks.

> of LSPs. 

As a matter of fact an LSP might have any number of upstream
end points,  but these association is not any more pernanent than
an IP route.

So either you have a difference between connection less and conenction
oriented, or you declare everything connection oriented, in which case
I could with equal justification claim that everything is connection
less.

I maintain that there is an important difference, that have impacts on
the
performance of the network. Would be good if we could understand this
difference and use it to the benefit of networking.

> All LSRs also maintain the necessary states 

So does a router
> layer at layer 2. 

So you clain that the link layer supply network wide connection???

Of course, I have also seen comments 

/Loa

quite a

take the 
> > a mapping from node to node over the network, strictly this is not
true,
connection
oriented
category
orientation. Why
Loa Andersson
Chief Architect,

---

From: [email-masked]
Date: Wed, 5 Sep 2001 09:53:31 -0700

Aijun,

I would re-phrase the statements in the original question a little bit. The
early designers of MPLS recognized the possibility of separating control
functions from forwarding in IP, and introduced label switching (MPLS) as
another forwarding paradigm. Therefore, MPLS = label switching forwarding +
IP control. Some minimum additional control function does need to be added
for this to work, and that's the small protocol LDP. That's pretty much it
early on.

MPLS-TE is a very much different beast, together with RSVP-TE. In deed, one
can almost say they (MPLS and MPLS-TE) are two different protocols in many
senses. The GMPLS crowd went further on this direction to borrow the MPLS
and MPLS-TE technology and heavily extended to serve other applications,
very connection-oriented applications...so much so that some connectionless
flavored features (such as refresh) have to be "corrected" in this
connection-oriented environment.

I hope this help to answer your original question.

Regards
Wenjing
Turin Networks, Inc.

> Sent: Tuesday, September 04, 2001 10:42 PM
> To: Loa Andersson; [email-masked]